declare type TestFn = (name: string) => boolean;
export declare type ContentTypeDef = {
    test: RegExp | TestFn;
    type: string;
    binary?: boolean;
};
export declare type ContentTypeMatch = {
    type: string;
    binary: boolean;
};
export declare type DefaultContentTypesModule = {
    mergeContentTypes: (contentTypes: ContentTypeDef[]) => ContentTypeDef[];
    testFileContentType: (contentTypes: ContentTypeDef[], file: string) => ContentTypeMatch;
};
export declare type Asset = {
    contentType: string;
    content: ArrayBuffer | string;
    module: unknown | null;
    isStatic: boolean;
};
export declare type AssetsMap = {
    [filePath: string]: Asset;
};
export declare type Config = {
    publicDir: string;
    excludeDirs?: string[] | null;
    includeDirs?: string[] | null;
    staticDirs?: string[] | null;
    excludeTest?: ((path: string) => boolean) | null;
    moduleTest?: ((path: string) => boolean) | null;
    spa?: string | null;
    autoIndex?: string[] | false | null;
    autoExt?: string[] | false | null;
    notFoundPage?: string | false | null;
    contentTypes?: ContentTypeDef[] | null;
};
export {};
//# sourceMappingURL=types.d.ts.map